## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate libxml

Name:           rust-libxml
Version:        0.3.3
Release:        %autorelease
Summary:        Rust wrapper for libxml2

License:        MIT
URL:            https://crates.io/crates/libxml
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          libxml-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          libxml-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A Rust wrapper for libxml2 - the XML C parser and toolkit developed for
the Gnome project.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libxml-2.0)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libxml-2.0)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifnarch %{arm} %{ix86}
# * bindgen tests hard-code 64-bit specific struct sizes and layouts:
#   https://github.com/KWARC/rust-libxml/issues/73
%cargo_test
%endif
%endif

%changelog
* Tue Jul 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-1
- Update to version 0.3.3; Fixes RHBZ#2223467

* Sun Mar 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2; Fixes RHBZ#2176299

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Apr 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1; Fixes RHBZ#1965304

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.17-1
- Update to version 0.2.17.
- Fixes RHBZ#1961231

* Mon Feb 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.16-1
- Update to version 0.2.16.
- Fixes RHBZ#1922874

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.15-1
- Update to version 0.2.15.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 12 16:35:46 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 0.2.14-1
- Initial package

